# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'by2/version'

Gem::Specification.new do |spec|
  spec.name = "by2"
  spec.version = By2::VERSION
  spec.authors = ["runner"]
  spec.email = ["runner@security.berkeley.edu"]
  spec.summary = %q{Commandline tool for querying a barnyard2 db.}
  spec.description = %q{Commandline tool for querying a barnyard2 db.}
  spec.homepage = ""
  spec.license = "MIT"

  spec.files = `git ls-files`.split($/)
  spec.executables = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files = spec.files.grep(%r{^(spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake", "~> 10.3.1"
  spec.add_development_dependency "rspec", "~> 2.14.1"
  spec.add_development_dependency "rspec-rails"
  spec.add_development_dependency "ronn"

  spec.add_dependency "pg", "~> 0.17.1"
  spec.add_dependency "activerecord", "~> 4.0.2"
  spec.add_dependency "activesupport", "~> 4.0.2"
  spec.add_dependency "railties", "~> 4.0.2"
  spec.add_dependency "composite_primary_keys", "= 6.0.1"
end
