require_relative "../spec_helper"


describe By2::Utils do
  it "converts an integer to an ip for .int32_to_ip(int32)" do
    By2::Utils.int32_to_ip(2147615233).should eql("128.2.2.1")
    By2::Utils.int32_to_ip(2).should eql("0.0.0.2")
  end

  it "converts an ip to an integer for .ip_to_int32(ip)" do
    By2::Utils.ip_to_int32("128.2.2.1").should eql(2147615233)
    By2::Utils.ip_to_int32("0.0.0.2").should eql(2)
  end

  it "converts hex to ascii text for .hex_to_ascii(hex)" do
    hex = "4c6f6f6b206d6f6d2c206e6f2068616e6473"
    By2::Utils.hex_to_ascii(hex).should eql("Look mom, no hands")
  end
end
